Page MenuHomePhabricator

Fetch from gerrit unacceptably slow
Closed, ResolvedPublic

Description

twn:/www/translatewiki.net/w (master)$ time b git fetch --all -v
Fetching origin
From https://gerrit.wikimedia.org/r/p/mediawiki/core
= [up to date] API_Versioning -> origin/API_Versioning
= [up to date] REL1_1 -> origin/REL1_1
= [up to date] REL1_10 -> origin/REL1_10
= [up to date] REL1_11 -> origin/REL1_11
= [up to date] REL1_12 -> origin/REL1_12
= [up to date] REL1_13 -> origin/REL1_13
= [up to date] REL1_14 -> origin/REL1_14
= [up to date] REL1_15 -> origin/REL1_15
= [up to date] REL1_16 -> origin/REL1_16
= [up to date] REL1_17 -> origin/REL1_17
= [up to date] REL1_18 -> origin/REL1_18
= [up to date] REL1_19 -> origin/REL1_19
= [up to date] REL1_2 -> origin/REL1_2
= [up to date] REL1_20 -> origin/REL1_20
= [up to date] REL1_21 -> origin/REL1_21
= [up to date] REL1_3 -> origin/REL1_3
= [up to date] REL1_4 -> origin/REL1_4
= [up to date] REL1_5 -> origin/REL1_5
= [up to date] REL1_6 -> origin/REL1_6
= [up to date] REL1_7 -> origin/REL1_7
= [up to date] REL1_8 -> origin/REL1_8
= [up to date] REL1_9 -> origin/REL1_9
= [up to date] Wikidata -> origin/Wikidata
= [up to date] chinese-collation -> origin/chinese-collation
= [up to date] fundraising/1.20 -> origin/fundraising/1.20
= [up to date] fundraising/1.22 -> origin/fundraising/1.22
= [up to date] iwtransclusion -> origin/iwtransclusion
= [up to date] make-collapsible-custom -> origin/make-collapsible-custom
= [up to date] master -> origin/master
= [up to date] mobilefrontend-core-merge -> origin/mobilefrontend-core-merge
= [up to date] password-hashing -> origin/password-hashing
= [up to date] sandbox/CSteipp/secureredir -> origin/sandbox/CSteipp/secureredir
= [up to date] sandbox/adamw/no_protection_in_core -> origin/sandbox/adamw/no_protection_in_core
= [up to date] sandbox/adamw/nsroot -> origin/sandbox/adamw/nsroot
= [up to date] sandbox/adamw/refactor_protection -> origin/sandbox/adamw/refactor_protection
= [up to date] sandbox/anomie/CentralAuth -> origin/sandbox/anomie/CentralAuth
= [up to date] sandbox/apramana/gsoc -> origin/sandbox/apramana/gsoc
= [up to date] sandbox/bouron/karachay-converter -> origin/sandbox/bouron/karachay-converter
= [up to date] sandbox/devunt/oauth -> origin/sandbox/devunt/oauth
= [up to date] sandbox/jdlrobson/design -> origin/sandbox/jdlrobson/design
= [up to date] sandbox/tparscal/apex-skin -> origin/sandbox/tparscal/apex-skin
= [up to date] wikidata-wmfphase1beta -> origin/wikidata-wmfphase1beta
= [up to date] wmf/1.22wmf1 -> origin/wmf/1.22wmf1
= [up to date] wmf/1.22wmf10 -> origin/wmf/1.22wmf10
= [up to date] wmf/1.22wmf11 -> origin/wmf/1.22wmf11
= [up to date] wmf/1.22wmf12 -> origin/wmf/1.22wmf12
= [up to date] wmf/1.22wmf13 -> origin/wmf/1.22wmf13
= [up to date] wmf/1.22wmf14 -> origin/wmf/1.22wmf14
= [up to date] wmf/1.22wmf15 -> origin/wmf/1.22wmf15
= [up to date] wmf/1.22wmf16 -> origin/wmf/1.22wmf16
= [up to date] wmf/1.22wmf17 -> origin/wmf/1.22wmf17
= [up to date] wmf/1.22wmf18 -> origin/wmf/1.22wmf18
= [up to date] wmf/1.22wmf19 -> origin/wmf/1.22wmf19
= [up to date] wmf/1.22wmf2 -> origin/wmf/1.22wmf2
= [up to date] wmf/1.22wmf20 -> origin/wmf/1.22wmf20
= [up to date] wmf/1.22wmf21 -> origin/wmf/1.22wmf21
= [up to date] wmf/1.22wmf22 -> origin/wmf/1.22wmf22
= [up to date] wmf/1.22wmf3 -> origin/wmf/1.22wmf3
= [up to date] wmf/1.22wmf4 -> origin/wmf/1.22wmf4
= [up to date] wmf/1.22wmf5 -> origin/wmf/1.22wmf5
= [up to date] wmf/1.22wmf6 -> origin/wmf/1.22wmf6
= [up to date] wmf/1.22wmf7 -> origin/wmf/1.22wmf7
= [up to date] wmf/1.22wmf8 -> origin/wmf/1.22wmf8
= [up to date] wmf/1.22wmf9 -> origin/wmf/1.22wmf9

real 0m37.173s
user 0m0.360s
sys 0m0.324s


Version: unspecified
Severity: normal

Details

Reference
bz56034

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:26 AM
bzimport added a project: Gerrit.
bzimport set Reference to bz56034.
bzimport added a subscriber: Unknown Object (MLST).
demon added a comment.Oct 23 2013, 1:32 PM

Don't think it's on our end:

$ time git fetch --all -v
Fetching origin
remote: Counting objects: 13363, done
remote: Finding sources: 100% (237/237)
remote: Getting sizes: 100% (61/61)
remote: Compressing objects: 100% (834606/834606)
remote: Total 237 (delta 148), reused 185 (delta 145)
Receiving objects: 100% (237/237), 263.42 KiB | 0 bytes/s, done.
Resolving deltas: 100% (167/167), completed with 107 local objects.
From ssh://gerrit.wikimedia.org/mediawiki/core

d987f43..bb0044f  master     -> origin/master

= [up to date] API_Versioning -> origin/API_Versioning
= [up to date] REL1_1 -> origin/REL1_1
= [up to date] REL1_10 -> origin/REL1_10
= [up to date] REL1_11 -> origin/REL1_11
= [up to date] REL1_12 -> origin/REL1_12
= [up to date] REL1_13 -> origin/REL1_13
= [up to date] REL1_14 -> origin/REL1_14
= [up to date] REL1_15 -> origin/REL1_15
= [up to date] REL1_16 -> origin/REL1_16
= [up to date] REL1_17 -> origin/REL1_17
= [up to date] REL1_18 -> origin/REL1_18
= [up to date] REL1_19 -> origin/REL1_19
= [up to date] REL1_2 -> origin/REL1_2
= [up to date] REL1_20 -> origin/REL1_20
= [up to date] REL1_21 -> origin/REL1_21
= [up to date] REL1_3 -> origin/REL1_3
= [up to date] REL1_4 -> origin/REL1_4
= [up to date] REL1_5 -> origin/REL1_5
= [up to date] REL1_6 -> origin/REL1_6
= [up to date] REL1_7 -> origin/REL1_7
= [up to date] REL1_8 -> origin/REL1_8
= [up to date] REL1_9 -> origin/REL1_9
= [up to date] Wikidata -> origin/Wikidata
= [up to date] chinese-collation -> origin/chinese-collation
= [up to date] fundraising/1.20 -> origin/fundraising/1.20

b88a191..300fa32  fundraising/1.22 -> origin/fundraising/1.22

= [up to date] iwtransclusion -> origin/iwtransclusion
= [up to date] make-collapsible-custom -> origin/make-collapsible-custom
= [up to date] mobilefrontend-core-merge -> origin/mobilefrontend-core-merge
= [up to date] password-hashing -> origin/password-hashing
= [up to date] sandbox/CSteipp/secureredir -> origin/sandbox/CSteipp/secureredir
= [up to date] sandbox/adamw/no_protection_in_core -> origin/sandbox/adamw/no_protection_in_core
= [up to date] sandbox/adamw/nsroot -> origin/sandbox/adamw/nsroot
= [up to date] sandbox/adamw/refactor_protection -> origin/sandbox/adamw/refactor_protection
= [up to date] sandbox/anomie/CentralAuth -> origin/sandbox/anomie/CentralAuth
= [up to date] sandbox/apramana/gsoc -> origin/sandbox/apramana/gsoc
= [up to date] sandbox/bouron/karachay-converter -> origin/sandbox/bouron/karachay-converter
= [up to date] sandbox/devunt/oauth -> origin/sandbox/devunt/oauth
= [up to date] sandbox/jdlrobson/design -> origin/sandbox/jdlrobson/design
= [up to date] sandbox/tparscal/apex-skin -> origin/sandbox/tparscal/apex-skin
= [up to date] wikidata-wmfphase1beta -> origin/wikidata-wmfphase1beta
= [up to date] wmf/1.22wmf1 -> origin/wmf/1.22wmf1
= [up to date] wmf/1.22wmf10 -> origin/wmf/1.22wmf10
= [up to date] wmf/1.22wmf11 -> origin/wmf/1.22wmf11
= [up to date] wmf/1.22wmf12 -> origin/wmf/1.22wmf12
= [up to date] wmf/1.22wmf13 -> origin/wmf/1.22wmf13
= [up to date] wmf/1.22wmf14 -> origin/wmf/1.22wmf14
= [up to date] wmf/1.22wmf15 -> origin/wmf/1.22wmf15
= [up to date] wmf/1.22wmf16 -> origin/wmf/1.22wmf16
= [up to date] wmf/1.22wmf17 -> origin/wmf/1.22wmf17
= [up to date] wmf/1.22wmf18 -> origin/wmf/1.22wmf18
= [up to date] wmf/1.22wmf19 -> origin/wmf/1.22wmf19
= [up to date] wmf/1.22wmf2 -> origin/wmf/1.22wmf2
= [up to date] wmf/1.22wmf20 -> origin/wmf/1.22wmf20

8f8cf3e..1691f5f  wmf/1.22wmf21 -> origin/wmf/1.22wmf21
2024c82..28f5766  wmf/1.22wmf22 -> origin/wmf/1.22wmf22

= [up to date] wmf/1.22wmf3 -> origin/wmf/1.22wmf3
= [up to date] wmf/1.22wmf4 -> origin/wmf/1.22wmf4
= [up to date] wmf/1.22wmf5 -> origin/wmf/1.22wmf5
= [up to date] wmf/1.22wmf6 -> origin/wmf/1.22wmf6
= [up to date] wmf/1.22wmf7 -> origin/wmf/1.22wmf7
= [up to date] wmf/1.22wmf8 -> origin/wmf/1.22wmf8
= [up to date] wmf/1.22wmf9 -> origin/wmf/1.22wmf9

real 0m5.096s
user 0m0.278s
sys 0m0.209s

nemobis@nightshade:/mnt/user-store/git/core$ time git fetch --all -v
Fetching origin
remote: Counting objects: 72133, done
remote: Finding sources: 100% (87/87)
remote: Getting sizes: 100% (43/43)
remote: Compressing objects: 100% (686741/686741)
remote: Total 87 (delta 31), reused 39 (delta 31)
Unpacking objects: 100% (87/87), done.
From https://gerrit.wikimedia.org/r/p/mediawiki/core

0ef69e0..3a55f53  refs/notes/review -> refs/notes/review

= [up to date] API_Versioning -> origin/API_Versioning
= [up to date] REL1_1 -> origin/REL1_1
= [up to date] REL1_10 -> origin/REL1_10
= [up to date] REL1_11 -> origin/REL1_11
= [up to date] REL1_12 -> origin/REL1_12
= [up to date] REL1_13 -> origin/REL1_13
= [up to date] REL1_14 -> origin/REL1_14
= [up to date] REL1_15 -> origin/REL1_15
= [up to date] REL1_16 -> origin/REL1_16
= [up to date] REL1_17 -> origin/REL1_17
= [up to date] REL1_18 -> origin/REL1_18
= [up to date] REL1_19 -> origin/REL1_19
= [up to date] REL1_2 -> origin/REL1_2
= [up to date] REL1_20 -> origin/REL1_20
= [up to date] REL1_21 -> origin/REL1_21
= [up to date] REL1_3 -> origin/REL1_3
= [up to date] REL1_4 -> origin/REL1_4
= [up to date] REL1_5 -> origin/REL1_5
= [up to date] REL1_6 -> origin/REL1_6
= [up to date] REL1_7 -> origin/REL1_7
= [up to date] REL1_8 -> origin/REL1_8
= [up to date] REL1_9 -> origin/REL1_9
= [up to date] Wikidata -> origin/Wikidata
= [up to date] chinese-collation -> origin/chinese-collation
= [up to date] fundraising/1.20 -> origin/fundraising/1.20
= [up to date] fundraising/1.22 -> origin/fundraising/1.22
= [up to date] iwtransclusion -> origin/iwtransclusion
= [up to date] make-collapsible-custom -> origin/make-collapsible-custom

e6b1baf..bb0044f  master     -> origin/master

= [up to date] mobilefrontend-core-merge -> origin/mobilefrontend-core-merge
= [up to date] password-hashing -> origin/password-hashing
= [up to date] sandbox/CSteipp/secureredir -> origin/sandbox/CSteipp/secureredir
= [up to date] sandbox/adamw/no_protection_in_core -> origin/sandbox/adamw/no_protection_in_core
= [up to date] sandbox/adamw/nsroot -> origin/sandbox/adamw/nsroot
= [up to date] sandbox/adamw/refactor_protection -> origin/sandbox/adamw/refactor_protection
= [up to date] sandbox/anomie/CentralAuth -> origin/sandbox/anomie/CentralAuth
= [up to date] sandbox/apramana/gsoc -> origin/sandbox/apramana/gsoc
= [up to date] sandbox/bouron/karachay-converter -> origin/sandbox/bouron/karachay-converter
= [up to date] sandbox/devunt/oauth -> origin/sandbox/devunt/oauth
= [up to date] sandbox/jdlrobson/design -> origin/sandbox/jdlrobson/design
= [up to date] sandbox/tparscal/apex-skin -> origin/sandbox/tparscal/apex-skin
= [up to date] wikidata-wmfphase1beta -> origin/wikidata-wmfphase1beta
= [up to date] wmf/1.22wmf1 -> origin/wmf/1.22wmf1
= [up to date] wmf/1.22wmf10 -> origin/wmf/1.22wmf10
= [up to date] wmf/1.22wmf11 -> origin/wmf/1.22wmf11
= [up to date] wmf/1.22wmf12 -> origin/wmf/1.22wmf12
= [up to date] wmf/1.22wmf13 -> origin/wmf/1.22wmf13
= [up to date] wmf/1.22wmf14 -> origin/wmf/1.22wmf14
= [up to date] wmf/1.22wmf15 -> origin/wmf/1.22wmf15
= [up to date] wmf/1.22wmf16 -> origin/wmf/1.22wmf16
= [up to date] wmf/1.22wmf17 -> origin/wmf/1.22wmf17
= [up to date] wmf/1.22wmf18 -> origin/wmf/1.22wmf18
= [up to date] wmf/1.22wmf19 -> origin/wmf/1.22wmf19
= [up to date] wmf/1.22wmf2 -> origin/wmf/1.22wmf2
= [up to date] wmf/1.22wmf20 -> origin/wmf/1.22wmf20
= [up to date] wmf/1.22wmf21 -> origin/wmf/1.22wmf21
= [up to date] wmf/1.22wmf22 -> origin/wmf/1.22wmf22
= [up to date] wmf/1.22wmf3 -> origin/wmf/1.22wmf3
= [up to date] wmf/1.22wmf4 -> origin/wmf/1.22wmf4
= [up to date] wmf/1.22wmf5 -> origin/wmf/1.22wmf5
= [up to date] wmf/1.22wmf6 -> origin/wmf/1.22wmf6
= [up to date] wmf/1.22wmf7 -> origin/wmf/1.22wmf7
= [up to date] wmf/1.22wmf8 -> origin/wmf/1.22wmf8
= [up to date] wmf/1.22wmf9 -> origin/wmf/1.22wmf9

real 1m6.184s
user 0m2.332s
sys 0m2.136s

Nemo_bis points out that this might be due a protocol:

twn:/www/dev.translatewiki.net/w (master)$ time git fetch --all
Fetching origin
remote: Counting objects: 39648, done
remote: Finding sources: 100% (183/183)
remote: Getting sizes: 100% (52/52)
remote: Compressing objects: 100% (716965/716965)
remote: Total 183 (delta 109), reused 137 (delta 106)
Receiving objects: 100% (183/183), 211.50 KiB, done.
Resolving deltas: 100% (126/126), completed with 72 local objects.
From ssh://gerrit.wikimedia.org:29418/mediawiki/core

c21b66d..118f90e  REL1_19    -> origin/REL1_19
87018c5..a0834b0  REL1_20    -> origin/REL1_20
0f76e1c..343185e  REL1_21    -> origin/REL1_21
b88a191..300fa32  fundraising/1.22 -> origin/fundraising/1.22
8c6e090..bb0044f  master     -> origin/master
f5b8cef..1691f5f  wmf/1.22wmf21 -> origin/wmf/1.22wmf21
3468ace..28f5766  wmf/1.22wmf22 -> origin/wmf/1.22wmf22

Fetching gerrit
From ssh://gerrit.wikimedia.org:29418/mediawiki/core

b88a191..300fa32  fundraising/1.22 -> gerrit/fundraising/1.22
fb16eb2..bb0044f  master     -> gerrit/master
8f8cf3e..1691f5f  wmf/1.22wmf21 -> gerrit/wmf/1.22wmf21
2024c82..28f5766  wmf/1.22wmf22 -> gerrit/wmf/1.22wmf22

real 0m12.180s
user 0m1.216s
sys 0m0.720s
twn:/www/dev.translatewiki.net/w (master)$ w
twn:/www/translatewiki.net/w (master)$ time b git fetch --all
Fetching origin
remote: Counting objects: 36968, done
remote: Finding sources: 100% (42/42)
remote: Getting sizes: 100% (14/14)
remote: Compressing objects: 100% (22968/22968)
remote: Total 42 (delta 25), reused 28 (delta 25)
Unpacking objects: 100% (42/42), done.
From https://gerrit.wikimedia.org/r/p/mediawiki/core

fedbf95..bb0044f  master     -> origin/master

real 0m43.362s
user 0m1.420s
sys 0m0.740s

demon added a comment.Oct 23 2013, 1:49 PM

I was fetching over SSH in my example above as well, so I don't think it's an SSH vs HTTPS thing.

(In reply to comment #4)

I was fetching over SSH in my example above as well, so I don't think it's an
SSH vs HTTPS thing.

Above, the three tests over HTTPS are slow and the two tests over SSH are faster.

demon added a comment.Oct 23 2013, 2:18 PM

Did it with https too:

$ time git fetch --all -v
Fetching origin
POST git-upload-pack (gzip 1081 to 603 bytes)
remote: Counting objects: 13363, done
remote: Finding sources: 100% (237/237)
remote: Getting sizes: 100% (61/61)
remote: Compressing objects: 100% (834606/834606)
remote: Total 237 (delta 148), reused 185 (delta 145)
Receiving objects: 100% (237/237), 263.42 KiB | 0 bytes/s, done.
Resolving deltas: 100% (167/167), completed with 107 local objects.
From https://gerrit.wikimedia.org/r/p/mediawiki/core

d987f43..bb0044f  master     -> origin/master

= [up to date] API_Versioning -> origin/API_Versioning
= [up to date] REL1_1 -> origin/REL1_1
= [up to date] REL1_10 -> origin/REL1_10
= [up to date] REL1_11 -> origin/REL1_11
= [up to date] REL1_12 -> origin/REL1_12
= [up to date] REL1_13 -> origin/REL1_13
= [up to date] REL1_14 -> origin/REL1_14
= [up to date] REL1_15 -> origin/REL1_15
= [up to date] REL1_16 -> origin/REL1_16
= [up to date] REL1_17 -> origin/REL1_17
= [up to date] REL1_18 -> origin/REL1_18
= [up to date] REL1_19 -> origin/REL1_19
= [up to date] REL1_2 -> origin/REL1_2
= [up to date] REL1_20 -> origin/REL1_20
= [up to date] REL1_21 -> origin/REL1_21
= [up to date] REL1_3 -> origin/REL1_3
= [up to date] REL1_4 -> origin/REL1_4
= [up to date] REL1_5 -> origin/REL1_5
= [up to date] REL1_6 -> origin/REL1_6
= [up to date] REL1_7 -> origin/REL1_7
= [up to date] REL1_8 -> origin/REL1_8
= [up to date] REL1_9 -> origin/REL1_9
= [up to date] Wikidata -> origin/Wikidata
= [up to date] chinese-collation -> origin/chinese-collation
= [up to date] fundraising/1.20 -> origin/fundraising/1.20

b88a191..300fa32  fundraising/1.22 -> origin/fundraising/1.22

= [up to date] iwtransclusion -> origin/iwtransclusion
= [up to date] make-collapsible-custom -> origin/make-collapsible-custom
= [up to date] mobilefrontend-core-merge -> origin/mobilefrontend-core-merge
= [up to date] password-hashing -> origin/password-hashing
= [up to date] sandbox/CSteipp/secureredir -> origin/sandbox/CSteipp/secureredir
= [up to date] sandbox/adamw/no_protection_in_core -> origin/sandbox/adamw/no_protection_in_core
= [up to date] sandbox/adamw/nsroot -> origin/sandbox/adamw/nsroot
= [up to date] sandbox/adamw/refactor_protection -> origin/sandbox/adamw/refactor_protection
= [up to date] sandbox/anomie/CentralAuth -> origin/sandbox/anomie/CentralAuth
= [up to date] sandbox/apramana/gsoc -> origin/sandbox/apramana/gsoc
= [up to date] sandbox/bouron/karachay-converter -> origin/sandbox/bouron/karachay-converter
= [up to date] sandbox/devunt/oauth -> origin/sandbox/devunt/oauth
= [up to date] sandbox/jdlrobson/design -> origin/sandbox/jdlrobson/design
= [up to date] sandbox/tparscal/apex-skin -> origin/sandbox/tparscal/apex-skin
= [up to date] wikidata-wmfphase1beta -> origin/wikidata-wmfphase1beta
= [up to date] wmf/1.22wmf1 -> origin/wmf/1.22wmf1
= [up to date] wmf/1.22wmf10 -> origin/wmf/1.22wmf10
= [up to date] wmf/1.22wmf11 -> origin/wmf/1.22wmf11
= [up to date] wmf/1.22wmf12 -> origin/wmf/1.22wmf12
= [up to date] wmf/1.22wmf13 -> origin/wmf/1.22wmf13
= [up to date] wmf/1.22wmf14 -> origin/wmf/1.22wmf14
= [up to date] wmf/1.22wmf15 -> origin/wmf/1.22wmf15
= [up to date] wmf/1.22wmf16 -> origin/wmf/1.22wmf16
= [up to date] wmf/1.22wmf17 -> origin/wmf/1.22wmf17
= [up to date] wmf/1.22wmf18 -> origin/wmf/1.22wmf18
= [up to date] wmf/1.22wmf19 -> origin/wmf/1.22wmf19
= [up to date] wmf/1.22wmf2 -> origin/wmf/1.22wmf2
= [up to date] wmf/1.22wmf20 -> origin/wmf/1.22wmf20

8f8cf3e..1691f5f  wmf/1.22wmf21 -> origin/wmf/1.22wmf21
2024c82..28f5766  wmf/1.22wmf22 -> origin/wmf/1.22wmf22

= [up to date] wmf/1.22wmf3 -> origin/wmf/1.22wmf3
= [up to date] wmf/1.22wmf4 -> origin/wmf/1.22wmf4
= [up to date] wmf/1.22wmf5 -> origin/wmf/1.22wmf5
= [up to date] wmf/1.22wmf6 -> origin/wmf/1.22wmf6
= [up to date] wmf/1.22wmf7 -> origin/wmf/1.22wmf7
= [up to date] wmf/1.22wmf8 -> origin/wmf/1.22wmf8
= [up to date] wmf/1.22wmf9 -> origin/wmf/1.22wmf9

real 0m4.302s
user 0m0.397s
sys 0m0.252s

Both protocols are seem fast enough on my connection (https being a
bit faster):

cwd: ~/core-ssh/.git
time git fetch --all -v
Fetching origin
From ssh://gerrit.wikimedia.org/mediawiki/core
= [up to date] master -> origin/master
= [up to date] API_Versioning -> origin/API_Versioning
= [up to date] REL1_1 -> origin/REL1_1
[...]
= [up to date] wmf/1.22wmf9 -> origin/wmf/1.22wmf9

real 0m4.027s
user 0m0.051s
sys 0m0.037s

cwd: ~/core-https
time git fetch --all -v
Fetching origin
From https://gerrit.wikimedia.org/r/mediawiki/core
= [up to date] master -> origin/master
= [up to date] API_Versioning -> origin/API_Versioning
= [up to date] REL1_1 -> origin/REL1_1
[...]
= [up to date] wmf/1.22wmf9 -> origin/wmf/1.22wmf9

real 0m1.630s
user 0m0.091s
sys 0m0.031s

Just now I got few timeouts (just after few seconds?) and had to repeat few times to get through:

git fetch --all
Fetching origin
ssh: connect to host gerrit.wikimedia.org port 29418: Connection timed out
fatal: The remote end hung up unexpectedly
error: Could not fetch origin

  • Bug 57354 has been marked as a duplicate of this bug. ***

Jeroen said on http://lists.wikimedia.org/pipermail/wikitech-l/2014-May/076775.html :

One thing I have noticed is that it is much faster for me to clone core
from GitHub then from WMF. Guess that having the thing also hosted in the
EU would help.

demon removed a subscriber: demon.Dec 8 2014, 6:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2015, 9:28 AM
hashar closed this task as Resolved.Jul 31 2015, 9:29 AM
hashar claimed this task.
hashar added a subscriber: hashar.

Original bug is more than two years old, I dont think it is still a problem.

Note that the repos objects and references need to be repacked from time to time.

Also I noticed fetch changes the whole refs/* tree on git fetch which thus include all changes. Might takes a while on a slow connection ( T103990 ).

Original bug is more than two years old, I dont think it is still a problem.

I still hear such complaints every now and then.

Dalba awarded a token.Jan 3 2016, 12:11 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 3 2016, 12:11 PM